#
# spec file for package xfindproxy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfindproxy
Version:        1.0.4
Release:        5.4
Summary:        Utility to locate proxy services
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xproxymngproto)
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xfindproxy is a program used to locate available proxy services.
It utilizes the Proxy Management Protocol to communicate with a
proxy manager. The proxy manager keeps track of all available
proxy services, starts new proxies when necessary, and makes sure
that proxies are shared whenever possible.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xfindproxy
%{_mandir}/man1/xfindproxy.1%{?ext_man}

%changelog
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.0.4:
  * This minor maintenance release provides accumulated build
    configuration improvements and janitorial cleanups.
* Thu Sep 12 2013 zaitor@opensuse.org
- Update to version 1.0.3:
  + Fix some clang integer conversion warnings in cvthexkey().
  + Mark input string to cvthexkey() as const.
  + Move global appContext into main() to avoid shadow warnings.
  + Stop casting malloc return values.
  + Fix some clang warnings about implicit integer size/sign
    conversions.
  + Convert STRING_BYTES & STORE_STRING from macros to inline
    functions.
  + xfindproxy only depends on xproto, not x11.
- Add pkgconfig(xproto) BuildRequires, and drop pkgconfig(x11)
  BuildRequires, following upstream changes.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.2:
  + Build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xfindproxy from xorg-x11. Initial version: 1.0.1.
